﻿2026-06-03T23:57:42.2514637Z ##[group]Run dtolnay/rust-toolchain@stable
2026-06-03T23:57:42.2515978Z with:
2026-06-03T23:57:42.2516898Z   components: clippy
2026-06-03T23:57:42.2518112Z   toolchain: stable
2026-06-03T23:57:42.2519112Z ##[endgroup]
2026-06-03T23:57:42.2770454Z ##[group]Run : parse toolchain version
2026-06-03T23:57:42.2771777Z [36;1m: parse toolchain version[0m
2026-06-03T23:57:42.2773158Z [36;1mif [[ -z $toolchain ]]; then[0m
2026-06-03T23:57:42.2775168Z [36;1m  # GitHub does not enforce `required: true` inputs itself. https://github.com/actions/runner/issues/1070[0m
2026-06-03T23:57:42.2777316Z [36;1m  echo "'toolchain' is a required input" >&2[0m
2026-06-03T23:57:42.2778755Z [36;1m  exit 1[0m
2026-06-03T23:57:42.2780121Z [36;1melif [[ $toolchain =~ ^stable' '[0-9]+' '(year|month|week|day)s?' 'ago$ ]]; then[0m
2026-06-03T23:57:42.2781793Z [36;1m  if [[ Linux == macOS ]]; then[0m
2026-06-03T23:57:42.2783854Z [36;1m    echo "toolchain=1.$((($(date -v-$(sed 's/stable \([0-9]*\) \(.\).*/\1\2/' <<< $toolchain) +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-03T23:57:42.2785956Z [36;1m  else[0m
2026-06-03T23:57:42.2787592Z [36;1m    echo "toolchain=1.$((($(date --date "${toolchain#stable }" +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-03T23:57:42.2789614Z [36;1m  fi[0m
2026-06-03T23:57:42.2790860Z [36;1melif [[ $toolchain =~ ^stable' 'minus' '[0-9]+' 'releases?$ ]]; then[0m
2026-06-03T23:57:42.2792979Z [36;1m  echo "toolchain=1.$((($(date +%s)/60/60/24-16569)/7/6-${toolchain//[^0-9]/}))" >> $GITHUB_OUTPUT[0m
2026-06-03T23:57:42.2794849Z [36;1melif [[ $toolchain =~ ^1\.[0-9]+$ ]]; then[0m
2026-06-03T23:57:42.2796979Z [36;1m  echo "toolchain=1.$((i=${toolchain#1.}, c=($(date +%s)/60/60/24-16569)/7/6, i+9*i*(10*i<=c)+90*i*(100*i<=c)))" >> $GITHUB_OUTPUT[0m
2026-06-03T23:57:42.2799367Z [36;1melse[0m
2026-06-03T23:57:42.2800443Z [36;1m  echo "toolchain=$toolchain" >> $GITHUB_OUTPUT[0m
2026-06-03T23:57:42.2801717Z [36;1mfi[0m
2026-06-03T23:57:42.2834408Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T23:57:42.2835812Z env:
2026-06-03T23:57:42.2836626Z   toolchain: stable
2026-06-03T23:57:42.2837522Z ##[endgroup]
2026-06-03T23:57:42.3070227Z ##[group]Run : construct rustup command line
2026-06-03T23:57:42.3071586Z [36;1m: construct rustup command line[0m
2026-06-03T23:57:42.3073588Z [36;1mecho "targets=$(for t in ${targets//,/ }; do echo -n ' --target' $t; done)" >> $GITHUB_OUTPUT[0m
2026-06-03T23:57:42.3076159Z [36;1mecho "components=$(for c in ${components//,/ }; do echo -n ' --component' $c; done)" >> $GITHUB_OUTPUT[0m
2026-06-03T23:57:42.3078505Z [36;1mecho "downgrade=" >> $GITHUB_OUTPUT[0m
2026-06-03T23:57:42.3107308Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T23:57:42.3108839Z env:
2026-06-03T23:57:42.3109632Z   targets: 
2026-06-03T23:57:42.3110474Z   components: clippy
2026-06-03T23:57:42.3111386Z ##[endgroup]
2026-06-03T23:57:42.3236645Z ##[group]Run : set $CARGO_HOME
2026-06-03T23:57:42.3237716Z [36;1m: set $CARGO_HOME[0m
2026-06-03T23:57:42.3239220Z [36;1mecho CARGO_HOME=${CARGO_HOME:-"$HOME/.cargo"} >> $GITHUB_ENV[0m
2026-06-03T23:57:42.3266789Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T23:57:42.3268302Z ##[endgroup]
2026-06-03T23:57:42.3504553Z ##[group]Run : install rustup if needed
2026-06-03T23:57:42.3505817Z [36;1m: install rustup if needed[0m
2026-06-03T23:57:42.3507070Z [36;1mif ! command -v rustup &>/dev/null; then[0m
2026-06-03T23:57:42.3510219Z [36;1m  curl --proto '=https' --tlsv1.2 --retry 10 --retry-connrefused --location --silent --show-error --fail https://sh.rustup.rs | sh -s -- --default-toolchain none -y[0m
2026-06-03T23:57:42.3513188Z [36;1m  echo "$CARGO_HOME/bin" >> $GITHUB_PATH[0m
2026-06-03T23:57:42.3514450Z [36;1mfi[0m
2026-06-03T23:57:42.3541773Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T23:57:42.3543142Z env:
2026-06-03T23:57:42.3543987Z   CARGO_HOME: /home/runner/.cargo
2026-06-03T23:57:42.3545120Z ##[endgroup]
2026-06-03T23:57:42.3672437Z ##[group]Run rustup toolchain install stable --component clippy --profile minimal --no-self-update
2026-06-03T23:57:42.3674917Z [36;1mrustup toolchain install stable --component clippy --profile minimal --no-self-update[0m
2026-06-03T23:57:42.3703769Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T23:57:42.3705222Z env:
2026-06-03T23:57:42.3706027Z   CARGO_HOME: /home/runner/.cargo
2026-06-03T23:57:42.3707071Z   RUSTUP_PERMIT_COPY_RENAME: 1
2026-06-03T23:57:42.3708192Z ##[endgroup]
2026-06-03T23:57:42.5622327Z info: syncing channel updates for stable-x86_64-unknown-linux-gnu
2026-06-03T23:57:42.6892177Z info: latest update on 2026-05-28 for version 1.96.0 (ac68faa20 2026-05-25)
2026-06-03T23:57:42.7121113Z info: removing previous version of component clippy
2026-06-03T23:57:42.7160301Z info: removing previous version of component rustfmt
2026-06-03T23:57:42.7172759Z info: removing previous version of component cargo
2026-06-03T23:57:42.7235666Z info: removing previous version of component rust-std
2026-06-03T23:57:42.7308855Z info: removing previous version of component rustc
2026-06-03T23:57:42.7385287Z info: downloading 5 components
2026-06-03T23:57:51.6778187Z 
2026-06-03T23:57:51.6865280Z   stable-x86_64-unknown-linux-gnu updated - rustc 1.96.0 (ac68faa20 2026-05-25) (from rustc 1.95.0 (59807616e 2026-04-14))
2026-06-03T23:57:51.6866918Z 
2026-06-03T23:57:51.6956437Z ##[group]Run rustup default stable
2026-06-03T23:57:51.6956774Z [36;1mrustup default stable[0m
2026-06-03T23:57:51.6985410Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T23:57:51.6986027Z env:
2026-06-03T23:57:51.6986355Z   CARGO_HOME: /home/runner/.cargo
2026-06-03T23:57:51.6986785Z ##[endgroup]
2026-06-03T23:57:51.7085556Z info: using existing install for stable-x86_64-unknown-linux-gnu
2026-06-03T23:57:51.7094008Z info: default toolchain set to stable-x86_64-unknown-linux-gnu
2026-06-03T23:57:51.7108719Z 
2026-06-03T23:57:51.7162767Z   stable-x86_64-unknown-linux-gnu unchanged - rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-03T23:57:51.7163732Z 
2026-06-03T23:57:51.7199059Z ##[group]Run : create cachekey
2026-06-03T23:57:51.7199401Z [36;1m: create cachekey[0m
2026-06-03T23:57:51.7199917Z [36;1mDATE=$(rustc +stable --version --verbose | sed -ne 's/^commit-date: \(20[0-9][0-9]\)-\([01][0-9]\)-\([0-3][0-9]\)$/\1\2\3/p')[0m
2026-06-03T23:57:51.7200591Z [36;1mHASH=$(rustc +stable --version --verbose | sed -ne 's/^commit-hash: //p')[0m
2026-06-03T23:57:51.7201096Z [36;1mecho "cachekey=$(echo $DATE$HASH | head -c12)" >> $GITHUB_OUTPUT[0m
2026-06-03T23:57:51.7226864Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T23:57:51.7227215Z env:
2026-06-03T23:57:51.7227416Z   CARGO_HOME: /home/runner/.cargo
2026-06-03T23:57:51.7227668Z ##[endgroup]
2026-06-03T23:57:51.7574419Z ##[group]Run : disable incremental compilation
2026-06-03T23:57:51.7574832Z [36;1m: disable incremental compilation[0m
2026-06-03T23:57:51.7575158Z [36;1mif [ -z "${CARGO_INCREMENTAL+set}" ]; then[0m
2026-06-03T23:57:51.7575513Z [36;1m  echo CARGO_INCREMENTAL=0 >> $GITHUB_ENV[0m
2026-06-03T23:57:51.7575803Z [36;1mfi[0m
2026-06-03T23:57:51.7602399Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T23:57:51.7602792Z env:
2026-06-03T23:57:51.7603018Z   CARGO_HOME: /home/runner/.cargo
2026-06-03T23:57:51.7603296Z ##[endgroup]
2026-06-03T23:57:51.7668559Z ##[group]Run : enable colors in Cargo output
2026-06-03T23:57:51.7668914Z [36;1m: enable colors in Cargo output[0m
2026-06-03T23:57:51.7669268Z [36;1mif [ -z "${CARGO_TERM_COLOR+set}" ]; then[0m
2026-06-03T23:57:51.7669604Z [36;1m  echo CARGO_TERM_COLOR=always >> $GITHUB_ENV[0m
2026-06-03T23:57:51.7669903Z [36;1mfi[0m
2026-06-03T23:57:51.7693221Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T23:57:51.7693565Z env:
2026-06-03T23:57:51.7693766Z   CARGO_HOME: /home/runner/.cargo
2026-06-03T23:57:51.7694030Z   CARGO_INCREMENTAL: 0
2026-06-03T23:57:51.7694246Z ##[endgroup]
2026-06-03T23:57:51.7786861Z ##[group]Run : enable Cargo sparse registry
2026-06-03T23:57:51.7787413Z [36;1m: enable Cargo sparse registry[0m
2026-06-03T23:57:51.7788055Z [36;1m# implemented in 1.66, stabilized in 1.68, made default in 1.70[0m
2026-06-03T23:57:51.7788876Z [36;1mif [ -z "${CARGO_REGISTRIES_CRATES_IO_PROTOCOL+set}" -o -f "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol ]; then[0m
2026-06-03T23:57:51.7789792Z [36;1m  if rustc +stable --version --verbose | grep -q '^release: 1\.6[89]\.'; then[0m
2026-06-03T23:57:51.7790361Z [36;1m    touch "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-03T23:57:51.7790903Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=sparse >> $GITHUB_ENV[0m
2026-06-03T23:57:51.7791402Z [36;1m  elif rustc +stable --version --verbose | grep -q '^release: 1\.6[67]\.'; then[0m
2026-06-03T23:57:51.7791972Z [36;1m    touch "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-03T23:57:51.7792496Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=git >> $GITHUB_ENV[0m
2026-06-03T23:57:51.7792848Z [36;1m  fi[0m
2026-06-03T23:57:51.7793042Z [36;1mfi[0m
2026-06-03T23:57:51.7816216Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T23:57:51.7816563Z env:
2026-06-03T23:57:51.7816772Z   CARGO_HOME: /home/runner/.cargo
2026-06-03T23:57:51.7817032Z   CARGO_INCREMENTAL: 0
2026-06-03T23:57:51.7817254Z   CARGO_TERM_COLOR: always
2026-06-03T23:57:51.7817474Z ##[endgroup]
2026-06-03T23:57:51.8144596Z ##[group]Run : work around spurious network errors in curl 8.0
2026-06-03T23:57:51.8145074Z [36;1m: work around spurious network errors in curl 8.0[0m
2026-06-03T23:57:51.8145641Z [36;1m# https://rust-lang.zulipchat.com/#narrow/stream/246057-t-cargo/topic/timeout.20investigation[0m
2026-06-03T23:57:51.8146272Z [36;1mif rustc +stable --version --verbose | grep -q '^release: 1\.7[01]\.'; then[0m
2026-06-03T23:57:51.8146732Z [36;1m  echo CARGO_HTTP_MULTIPLEXING=false >> $GITHUB_ENV[0m
2026-06-03T23:57:51.8147060Z [36;1mfi[0m
2026-06-03T23:57:51.8173587Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T23:57:51.8173963Z env:
2026-06-03T23:57:51.8174164Z   CARGO_HOME: /home/runner/.cargo
2026-06-03T23:57:51.8174427Z   CARGO_INCREMENTAL: 0
2026-06-03T23:57:51.8174650Z   CARGO_TERM_COLOR: always
2026-06-03T23:57:51.8174896Z ##[endgroup]
2026-06-03T23:57:51.8369687Z ##[group]Run rustc +stable --version --verbose
2026-06-03T23:57:51.8370084Z [36;1mrustc +stable --version --verbose[0m
2026-06-03T23:57:51.8395832Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T23:57:51.8396203Z env:
2026-06-03T23:57:51.8396407Z   CARGO_HOME: /home/runner/.cargo
2026-06-03T23:57:51.8396672Z   CARGO_INCREMENTAL: 0
2026-06-03T23:57:51.8396910Z   CARGO_TERM_COLOR: always
2026-06-03T23:57:51.8397137Z ##[endgroup]
2026-06-03T23:57:51.8555674Z rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-03T23:57:51.8560435Z binary: rustc
2026-06-03T23:57:51.8561326Z commit-hash: ac68faa20c58cbccd01ee7208bf3b6e93a7d7f96
2026-06-03T23:57:51.8562152Z commit-date: 2026-05-25
2026-06-03T23:57:51.8562793Z host: x86_64-unknown-linux-gnu
2026-06-03T23:57:51.8563545Z release: 1.96.0
2026-06-03T23:57:51.8564188Z LLVM version: 22.1.2
